#!/bin/bash 
cd "${0%/*}"
for file in /dev/cu.usbseria*A
do
 stty -f $file 1200 cs8 cread clocal
done

./esptool --chip esp32 --port $file --baud 921600 --before default_reset --after hard_reset write_flash -z --flash_mode dio --flash_freq 80m --flash_size detect 0xe000 ./boot_app0.bin 0x1000 ./bootloader_qio_80m.bin 0x10000 ESP32RET.bin 0x8000 partitions.bin 

exit
